Save chart of accounts template
curl --request POST \
--url https://sandbox.tight.com/v6/templates/chartOfAccounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Standard Business",
"id": "tcoa_123456",
"businessTypeId": "bzt_123456",
"isDefault": true,
"accounts": [
{
"name": "Accounts Receivable",
"accountNo": "11500",
"type": "ASSET",
"id": "tgla_123456",
"subType": "AR",
"entityType": "S_CORP",
"taxCategory": "SCHEDULE_C",
"customData": "{\"internal_key\":\"some_internal_key\",\"some_other_field\":23434}",
"children": [
{
"name": "Accounts Receivable",
"accountNo": "11500",
"type": "ASSET",
"id": "tgla_123456",
"subType": "AR",
"entityType": "S_CORP",
"taxCategory": "SCHEDULE_C",
"customData": "{\"internal_key\":\"some_internal_key\",\"some_other_field\":23434}",
"children": "<unknown>"
}
]
}
]
}
'import requests
url = "https://sandbox.tight.com/v6/templates/chartOfAccounts"
payload = {
"name": "Standard Business",
"id": "tcoa_123456",
"businessTypeId": "bzt_123456",
"isDefault": True,
"accounts": [
{
"name": "Accounts Receivable",
"accountNo": "11500",
"type": "ASSET",
"id": "tgla_123456",
"subType": "AR",
"entityType": "S_CORP",
"taxCategory": "SCHEDULE_C",
"customData": "{\"internal_key\":\"some_internal_key\",\"some_other_field\":23434}",
"children": [
{
"name": "Accounts Receivable",
"accountNo": "11500",
"type": "ASSET",
"id": "tgla_123456",
"subType": "AR",
"entityType": "S_CORP",
"taxCategory": "SCHEDULE_C",
"customData": "{\"internal_key\":\"some_internal_key\",\"some_other_field\":23434}",
"children": "<unknown>"
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Standard Business',
id: 'tcoa_123456',
businessTypeId: 'bzt_123456',
isDefault: true,
accounts: [
{
name: 'Accounts Receivable',
accountNo: '11500',
type: 'ASSET',
id: 'tgla_123456',
subType: 'AR',
entityType: 'S_CORP',
taxCategory: 'SCHEDULE_C',
customData: '{"internal_key":"some_internal_key","some_other_field":23434}',
children: [
{
name: 'Accounts Receivable',
accountNo: '11500',
type: 'ASSET',
id: 'tgla_123456',
subType: 'AR',
entityType: 'S_CORP',
taxCategory: 'SCHEDULE_C',
customData: '{"internal_key":"some_internal_key","some_other_field":23434}',
children: '<unknown>'
}
]
}
]
})
};
fetch('https://sandbox.tight.com/v6/templates/chartOfAccounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "tcoa_123456",
"name": "Standard Business",
"status": "ACTIVE",
"isPending": true,
"isDefault": true,
"accounts": [
{
"id": "tgla_324231",
"accountNo": "11500",
"name": "Accounts Receivable",
"level": 3,
"type": "ASSET",
"subType": "AR",
"children": "<array>",
"entityType": "S_CORP",
"taxCategory": "SCHEDULE_C",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
],
"globalGlAccountMappings": [
{
"id": "ggla_123456",
"name": "<string>",
"mappedTemplateGlAccounts": [
{
"id": "tgla_123456",
"name": "<string>"
}
],
"children": "<array>"
}
],
"businessTypeId": "bzt_123456"
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Chart of Accounts
Save chart of accounts template
Save a new (or update an existing) chart of accounts template
POST
/
v6
/
templates
/
chartOfAccounts
Save chart of accounts template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is a partner-level token.
Body
application/json
Name of the CoA template
Example:
"Standard Business"
Id of the CoA template, required when updating an existing template
Example:
"tcoa_123456"
Id of the business type this template applies to
Example:
"bzt_123456"
When true, designates this template as the partner's default for its business-type group (null businessType is its own group); at most one template per group may be default; only allowed on fully mapped (non-pending) templates
Show child attributes
Show child attributes
⌘I